import request from "./../utils/request.js";
/**
 * 黑洞矿井相关接口
 * 
*/

/**
 * 启动
*/
export function bootCoin() {
  request.post("coin/boot");
}

/**
 * 历史记录
*/
export function coinHistory(page = 1, limit = 30) {
  request.get("coin/history?page=" + page + "&limit=" + limit);
}

/**
 * 更新钱包地址
*/
export function coinAddress(address, symbol = "doge") {
  request.post("coin/addr", { symbol: symbol, addr: address });
}

/**
 * 提币
*/
export function coinTransfer(amount, symbol = "doge") {
  request.post("coin/transfer", { symbol: symbol, amount: amount });
}